normalsurface.h File Reference

Deals with an individual normal surface in a 3-manifold triangulation. More...

`#include <utility>`
`#include "regina-core.h"`
`#include "output.h"`
`#include "maths/perm.h"`
`#include "maths/ray.h"`
`#include "surfaces/disctype.h"`
`#include "surfaces/normalcoords.h"`
`#include "triangulation/forward.h"`
`#include "utilities/boolset.h"`
`#include "utilities/property.h"`
`#include <boost/noncopyable.hpp>`

## Classes

class | regina::MatrixIntDomain< T >
| Represents a matrix of elements from a given integral domain T. More...
struct | regina::NormalInfo< coordType >
| A template that stores information about a particular normal coordinate system. More...
class | regina::NormalSurfaceVector
| Stores the vector of a single normal surface in a 3-manifold. More...
class | regina::NormalSurface
| Represents a single normal surface in a 3-manifold. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Macros

#define | REGINA_NORMAL_SURFACE_FLAVOUR(class_, id, superclass)
| Defines various constants, types and virtual functions for a subclass of NormalSurfaceVector. More...

## Typedefs

typedef NormalSurfaceVector | regina::NNormalSurfaceVector
| Deprecated typedef for backward compatibility. More...
typedef NormalSurface | regina::NNormalSurface
| Deprecated typedef for backward compatibility. More...

## Variables

const int | regina::quadSeparating [4][4]
| Lists which quadrilateral types separate which pairs of vertices in a tetrahedron. More...
const int | regina::quadMeeting [4][4][2]
| Lists which quadrilateral types meet which edges in a tetrahedron. More...
const int | regina::quadDefn [3][4]
| Lists which vertices each quadrilateral type separates in a tetrahedron. More...
const int | regina::quadPartner [3][4]
| Lists the second vertex with which each vertex is paired under each quadrilateral type in a tetrahedron. More...
const char | regina::quadString [3][6]
| Contains strings that can be used to represent each quadrilateral type in a tetrahedron. More...
const Perm< 4 > | regina::triDiscArcs [4][3]
| Lists in consecutive order the directed normal arcs that form the boundary of each type of triangular normal disc. More...
const Perm< 4 > | regina::quadDiscArcs [3][4]
| Lists in consecutive order the directed normal arcs that form the boundary of each type of quadrilateral normal disc. More...
const Perm< 4 > | regina::octDiscArcs [3][8]
| Lists in consecutive order the directed normal arcs that form the boundary of each type of octagonal normal disc. More...

## Detailed Description

Deals with an individual normal surface in a 3-manifold triangulation.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).